> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stockinsights.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Filings Keyword Search

> The Filings Keyword Search API fetches search results from our database for specified filings (earnings transcripts and annual reports) for any given keyword/phrase. Returns upto 100 search results sorted by latest date



## OpenAPI

````yaml openapi-india post /api/in/v0/documents/full-text-search
openapi: 3.0.0
info:
  title: stockinsights.ai APIs
  description: All the APIs of stockinsights.ai
  version: 1.0.0
servers:
  - url: https://stockinsights-ai-main-95a26a0.zuplo.app
security:
  - bearerAuth: []
paths:
  /api/in/v0/documents/full-text-search:
    post:
      summary: Filings Keyword Search
      description: >-
        The Filings Keyword Search API fetches search results from our database
        for specified filings (earnings transcripts and annual reports) for any
        given keyword/phrase. Returns upto 100 search results sorted by latest
        date
      operationId: searchDocuments
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                query:
                  type: string
                  description: Keyword/Phrase to Search
                filters:
                  $ref: '#/components/schemas/DocumentSearchFilters'
                  type: object
                  description: >-
                    Filters to narrow the search scope. For example, the search
                    can be limited to few companies only. Without filters,
                    search will be performed across all the
                    filings.                    
              required:
                - query
                - filters
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                  data:
                    $ref: '#/components/schemas/DocumentWithSearchResults'
                    type: array
                    description: Search Result
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    DocumentSearchFilters:
      type: object
      properties:
        types:
          type: array
          items:
            type: string
          enum:
            - earnings-transcript
            - annual-report
            - announcement
          description: Type of document (e.g., earnings-transcript)
        tickers:
          type: array
          items:
            type: string
          description: >-
            Company Tickers. Format: exchange:ticker values. Example -
            [NSE:ZOMATO, BSE:TCS]
        sectors:
          type: array
          items:
            type: string
          description: >-
            Sectors (based on Industry Classification) to filter by. Check the
            valid values -
            https://docs.google.com/spreadsheets/d/17-Zq8E6G7hAq4-3QdjLj_b1EGghFcM9OB7Om5AXSLRI/edit?gid=0#gid=0
        industries:
          type: array
          items:
            type: string
          description: >-
            Industries (based on Industry Classification) to filter by. Check
            the valid values -
            https://docs.google.com/spreadsheets/d/17-Zq8E6G7hAq4-3QdjLj_b1EGghFcM9OB7Om5AXSLRI/edit?gid=582731802#gid=582731802
        quarters:
          type: array
          items:
            type: string
          description: Quarters to filter by
        years:
          type: array
          items:
            type: string
          description: Years to filter by
      required:
        - types
    DocumentWithSearchResults:
      type: object
      description: Represents details of a matching company document.
      properties:
        id:
          type: string
          description: Internal Document ID
        type:
          type: string
          enum:
            - earnings-transcript
            - annual-report
            - announcement
          description: Represents the type of document
        pdf_link:
          type: string
          description: >-
            PDF Link of the document. A document can have either a pdf_link or
            html_link
        html_link:
          type: string
          description: >-
            HTML Link of the document. A document can have either a pdf_link or
            html_link
        company_id:
          type: string
          description: Internal Company ID
        company_name:
          type: string
        ticker:
          type: string
          description: ''
        exchange_tickers:
          type: array
          items:
            $ref: '#/components/schemas/ExchangeTicker'
        year:
          type: string
          description: Document associated year
        month:
          type: string
          description: Document associated month
        quarter:
          type: string
          description: Document associated Quarter
        published_date:
          type: string
          description: UTC Timestamp of the document published date-time
          format: date-time
        highlights:
          type: object
          description: Text in the document matching with the query
          properties:
            highlight_term:
              type: array
              description: query term and other similar terms
              items:
                type: string
            highlight_text:
              type: string
              description: matching text
    Error:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
                description: Error status
              title:
                type: string
                description: Error description
              message:
                type: string
                description: Detailed error message (optional)
    ExchangeTicker:
      type: object
      properties:
        exchange:
          type: string
          enum:
            - BSE
            - NSE
          description: Exchange Name
        ticker:
          type: string
          description: Company ticker in the exchange
        id:
          type: string
          description: Company ID/Code in the exchange. Not present for NSE
        url:
          type: string
          description: Company URL in the exchange
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````